Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.validator
Class ErrorHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          es.inteco.xbrl.lenlocpenloc.validator.ErrorHandler

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

    public class ErrorHandler

extends org.xml.sax.helpers.DefaultHandler

Clase utilizada como manejador de errores en la validación XSD.
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es

Constructor Summary
`ErrorHandler()` Constructor por defecto.

Method Summary
`void` | `error(org.xml.sax.SAXParseException exception)`
`void` | `fatalError(org.xml.sax.SAXParseException exception)`
`java.lang.String` | `getErrors()` Devuelve la lista de errores en String.
`boolean` | `isValid()` Devuelve un indicador de si el documento es válido.
`void` | `warning(org.xml.sax.SAXParseException exception)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ErrorHandler

    public ErrorHandler()

  Constructor por defecto.

Method Detail

### getErrors

    public java.lang.String getErrors()

  Devuelve la lista de errores en String.

  Returns:
    String con la lista de errores.

### isValid

    public boolean isValid()

  Devuelve un indicador de si el documento es válido.

  Returns:
    boolean con el indicador de si el documento es válido.

### error

    public void error(org.xml.sax.SAXParseException exception)

  Specified by:
    `error` in interface `org.xml.sax.ErrorHandler`
  Overrides:
    `error` in class `org.xml.sax.helpers.DefaultHandler`

### fatalError

    public void fatalError(org.xml.sax.SAXParseException exception)

  Specified by:
    `fatalError` in interface `org.xml.sax.ErrorHandler`
  Overrides:
    `fatalError` in class `org.xml.sax.helpers.DefaultHandler`

### warning

    public void warning(org.xml.sax.SAXParseException exception)

  Specified by:
    `warning` in interface `org.xml.sax.ErrorHandler`
  Overrides:
    `warning` in class `org.xml.sax.helpers.DefaultHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD